# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Deleting model 'Comp'
        db.delete_table('staging_comp')

        # Deleting model 'Subsection'
        db.delete_table('staging_subsection')

        # Deleting field 'CompSlide.backgroundfield'
        db.delete_column('staging_compslide', 'backgroundfield')

        # Deleting field 'CompSlide.comp'
        db.delete_column('staging_compslide', 'comp_id')

        # Deleting field 'CompSlide.background_colorfield'
        db.delete_column('staging_compslide', 'background_colorfield')

        # Deleting field 'CompSlide.remove_background'
        db.delete_column('staging_compslide', 'remove_background')

        # Adding field 'CompSlide.linked'
        db.add_column('staging_compslide', 'linked',
                      self.gf('django.db.models.fields.related.ForeignKey')(default=-1, related_name='slides', to=orm['staging.Container']),
                      keep_default=False)


    def backwards(self, orm):
        # Adding model 'Comp'
        db.create_table('staging_comp', (
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('background', self.gf('django.db.models.fields.files.ImageField')(max_length=100, null=True, blank=True)),
            ('linked', self.gf('django.db.models.fields.related.ForeignKey')(related_name='comps', to=orm['staging.Container'])),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('background_colorfield', self.gf('stager.staging.models.ColorField')(max_length=10, blank=True)),
            ('remove_background', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('staging', ['Comp'])

        # Adding model 'Subsection'
        db.create_table('staging_subsection', (
            ('section', self.gf('django.db.models.fields.related.ForeignKey')(related_name='subsections', to=orm['staging.Container'])),
            ('container_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['staging.Container'], unique=True, primary_key=True)),
        ))
        db.send_create_signal('staging', ['Subsection'])

        # Adding field 'CompSlide.backgroundfield'
        db.add_column('staging_compslide', 'backgroundfield',
                      self.gf('django.db.models.fields.files.ImageField')(max_length=100, null=True, blank=True),
                      keep_default=False)

        # Adding field 'CompSlide.comp'
        db.add_column('staging_compslide', 'comp',
                      self.gf('django.db.models.fields.related.ForeignKey')(default=-1, related_name='slides', to=orm['staging.Comp']),
                      keep_default=False)

        # Adding field 'CompSlide.background_colorfield'
        db.add_column('staging_compslide', 'background_colorfield',
                      self.gf('stager.staging.models.ColorField')(default='', max_length=10, blank=True),
                      keep_default=False)

        # Adding field 'CompSlide.remove_background'
        db.add_column('staging_compslide', 'remove_background',
                      self.gf('django.db.models.fields.BooleanField')(default=False),
                      keep_default=False)

        # Deleting field 'CompSlide.linked'
        db.delete_column('staging_compslide', 'linked_id')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'staging.category': {
            'Meta': {'ordering': "['ordering']", 'object_name': 'Category'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'default': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'project': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'categories'", 'to': "orm['staging.Project']"})
        },
        'staging.client': {
            'Meta': {'object_name': 'Client'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'contact': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'clients'", 'null': 'True', 'to': "orm['staging.Contact']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'logo': ('django.db.models.fields.files.ImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'path': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'users'", 'to': "orm['auth.User']"})
        },
        'staging.compslide': {
            'Meta': {'ordering': "['ordering']", 'object_name': 'CompSlide'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'alignment': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.files.ImageField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'linked': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'slides'", 'to': "orm['staging.Container']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'})
        },
        'staging.contact': {
            'Meta': {'ordering': "['ordering']", 'object_name': 'Contact'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ai_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'projects': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'contacts'", 'symmetrical': 'False', 'to': "orm['staging.Project']"}),
            'telephone': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'})
        },
        'staging.container': {
            'Meta': {'object_name': 'Container'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'staging.link': {
            'Meta': {'ordering': "['ordering']", 'object_name': 'Link'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'file_link': ('django.db.models.fields.files.FileField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'linked': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'links'", 'to': "orm['staging.Container']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'remote_link': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'})
        },
        'staging.project': {
            'Meta': {'object_name': 'Project', '_ormbases': ['staging.Container']},
            'client': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'projects'", 'to': "orm['staging.Client']"}),
            'container_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['staging.Container']", 'unique': 'True', 'primary_key': 'True'}),
            'path': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'staging.section': {
            'Meta': {'ordering': "['date']", 'object_name': 'Section', '_ormbases': ['staging.Container']},
            'category': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['staging.Category']"}),
            'container_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['staging.Container']", 'unique': 'True', 'primary_key': 'True'}),
            'date': ('django.db.models.fields.DateField', [], {}),
            'project': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'sections'", 'to': "orm['staging.Project']"})
        },
        'staging.userpreference': {
            'Meta': {'object_name': 'UserPreference'},
            'default_display': ('django.db.models.fields.related.ForeignKey', [], {'default': '1L', 'to': "orm['staging.ViewChoice']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'related_name': "'userschoices'", 'unique': 'True', 'to': "orm['auth.User']"})
        },
        'staging.viewchoice': {
            'Meta': {'object_name': 'ViewChoice'},
            'default_d': ('django.db.models.fields.TextField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        }
    }

    complete_apps = ['staging']